> For the complete documentation index, see [llms.txt](https://glyue.docs.sandboxbanking.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glyue.docs.sandboxbanking.com/reference/integration_components/integration-config.md).

# Integration Config

### integration

<mark style="color:blue;">`relationship`</mark> - <mark style="color:red;">`required`</mark>

Integration the config is bound to.

### email\_on\_success

<mark style="color:yellow;">`boolean`</mark> - <mark style="color:red;">`required`</mark>

Determine wheter to send an email summary upon a successful integration run.

### email\_on\_success\_to\_addresses

<mark style="color:yellow;">`string`</mark> - <mark style="color:purple;">`comma separated`</mark>

Email addresses to receive summaries on successful integration completion.

### email\_on\_failure

<mark style="color:yellow;">`boolean`</mark> - <mark style="color:red;">`required`</mark>

Determine wheter to send an email summary upon an integration failure.

### email\_on\_failure\_to\_addresses

<mark style="color:yellow;">`string`</mark> - <mark style="color:purple;">`comma separated`</mark>

Email addresses to receive summaries on integration failures.

### email\_digests

<mark style="color:yellow;">`boolean`</mark> - <mark style="color:red;">`required`</mark>

Enables a more detailed breakdown of the Integration Run for both the [#email\_on\_success](#email_on_success "mention") and [#email\_on\_failure](#email_on_failure "mention") features.

### store\_run\_history

<mark style="color:yellow;">`boolean`</mark> - <mark style="color:red;">`required`</mark>

Enables persistence of run histories for integrations. With this flag disabled the Integration Run History will not track run events.

### store\_run\_history\_for\_x\_days

<mark style="color:yellow;">`integer`</mark>

Number of days to keep Run Histories. After this date the runs are deleted permanently. Defaults to 730 days.

### store\_payload\_in\_run\_history

<mark style="color:yellow;">`boolean`</mark> - <mark style="color:red;">`required`</mark>

Enables persistence of run history payloads for Integration Run Steps. The [#store\_run\_history](#store_run_history "mention") must be enabled for this to be enabled.

### store\_payloads\_in\_run\_history\_for\_x\_days

<mark style="color:yellow;">`integer`</mark>

Number of days to persist Integration Run History Items. After this date run history payloads are deleted permanently. Defaults to 14 days.

### retry\_mode

<mark style="color:yellow;">`string`</mark> - <mark style="color:red;">`required`</mark>

The retry strategy for failed integration runs. Options: `none` (default), `fixed` (Fixed Interval), `exponential` (Exponential Backoff). See [How to Configure Integration Retry](/how-to-guides/how-to-configure-integration-retry.md) for details.

### retry\_delay\_seconds

<mark style="color:yellow;">`integer`</mark> - <mark style="color:red;">`required`</mark>

The initial delay in seconds before retrying a failed run. Range: 1–600. Default: 5.

### retry\_delay\_jitter

<mark style="color:yellow;">`integer`</mark> - <mark style="color:red;">`required`</mark>

Randomness in seconds added to each retry delay to prevent thundering herd problems. Range: 0–120. Default: 2.

### max\_retries

<mark style="color:yellow;">`integer`</mark> - <mark style="color:red;">`required`</mark>

Maximum number of retry attempts for a failed run. Range: 1–10. Default: 3.

### engine\_version

Engine version used when running this integration.

```
engine_version = "1.1.0"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://glyue.docs.sandboxbanking.com/reference/integration_components/integration-config.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
